import React from 'react';
declare const map: Map<string, React.RefObject<any>>;
declare const defineRef: <T>(key: string) => React.RefObject<T>;
declare const readRef: <T>(key: string) => React.RefObject<T>;
declare const iterateRef: <T>(callback: (value: React.RefObject<T>, key: string) => void) => void;
export declare const useDynamicRefs: <T>() => {
    defineRef: (key: string) => React.RefObject<T>;
    readRef: (key: string) => React.RefObject<T>;
    iterateRef: (callback: (value: React.RefObject<T>, key: string) => void) => void;
    refMap: typeof map;
};
export {};
